com.saxonica.stream

## Class AccumulatorManagerEE

- java.lang.Object
- - com.saxonica.xslt3.instruct.AccumulatorManagerPE
  - - com.saxonica.stream.AccumulatorManagerEE

- All Implemented Interfaces:
    Serializable, FunctionLibrary, IAccumulatorManager

      public class AccumulatorManagerEE
      extends AccumulatorManagerPE

  Manager for accumulator functions (XSLT 3.0). Like the KeyManager, this is able to maintain data for the same accumulator in multiple executions of a stylesheet: the accumulator data is designed to be available for garbage collection if either the document or the stylesheet is no longer needed. This class also performs the role of a function library, handling requests to bind the two accumulator functions.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.saxonica.xslt3.instruct.AccumulatorManagerPE

      `map`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccumulatorManagerEE()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AccumulatorFunctionCallEE` | `newAccumulatorFunctionCall(Accumulator acc, boolean isPostDescent)`
    `Map<Accumulator,AccumulatorWatch>` | `registerAccumulatorRules(WatchManager watchManager)` Register all the rules for all the accumulators with a WatchManager handling events for a streaming pass over a source document

    - ### Methods inherited from class com.saxonica.xslt3.instruct.AccumulatorManagerPE

      `addAccumulator, bind, copy, getAccumulatorData, getAccumulatorFunctionLibrary, getFunctionItem, isAvailable, isEmpty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccumulatorManagerEE

          public AccumulatorManagerEE()

  - ### Method Detail

    - #### registerAccumulatorRules

          public Map<Accumulator,AccumulatorWatch> registerAccumulatorRules(WatchManager watchManager)
                                                                     throws XPathException

      Register all the rules for all the accumulators with a WatchManager handling events for a streaming pass over a source document
      Parameters:
        `watchManager` - the WatchManager with which the rules are to be registered
      Throws:
        `XPathException`

    - #### newAccumulatorFunctionCall

          protected AccumulatorFunctionCallEE newAccumulatorFunctionCall(Accumulator acc,
                                                             boolean isPostDescent)

      Overrides:
        `newAccumulatorFunctionCall` in class `AccumulatorManagerPE`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.